Report should have host_id, reported_at, status and metrics attr_accessible

12/07/2015 07:42 AM - Shlomi Zadok

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2961

  

Description

In report model we should add attr_accessible :host_id, :reported_at, :status, :metrics to support children who assign those values.

Related issues:

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Associated revisions

Revision 104468b2 - 12/08/2015 03:52 AM - Shlomi Zadok

Fixes #12728 - Add attr_accessible to Report

History

#1 - 12/07/2015 07:43 AM - Dominic Cleal

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#2 - 12/07/2015 07:44 AM - Dominic Cleal

- Category set to Rails

The report importers don't use mass-assignment at the moment, AFAIK.

#3 - 12/07/2015 08:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/2961 added

#4 - 12/07/2015 08:48 AM - Shlomi Zadok

Use case:

In foreman_openscap, we do not use a report importer, the ArfReport has a method which simulates the importer to create the ArfReport.

As you can see, we generate the report directly with ArfReport.create! which yields:

Action failed

ActiveModel::MassAssignmentSecurity::Error: Can't mass-assign protected attributes: host_id, reported_at, stat

us, metrics

#5 - 12/08/2015 04:02 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Due to using Taxonomix in the ArfReport model, it makes the model protected.

#6 - 12/08/2015 05:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman_openscap/blob/master/app/models/foreman_openscap/arf_report.rb#L94-L122


Applied in changeset 104468b273b73486d58d89802ee87b301ad6ef19.
